# CancellationTokenExtensions Class | UniTask

Show / Hide Table of Contents

# CancellationTokenExtensions Class

###### Namespace: Cysharp.Threading.Tasks

###### Assembly: cs.temp.dll.dll

    public static class CancellationTokenExtensions

##### Inheritance

System.Object → CancellationTokenExtensions

### Members

#### Methods

Name | Description
--- | ---
RegisterWithoutCaptureExecutionContext(CancellationToken, Action) |
RegisterWithoutCaptureExecutionContext(CancellationToken, Action<Object>, Object) |
ToUniTask(CancellationToken) |
WaitUntilCanceled(CancellationToken) |

### Methods

#### RegisterWithoutCaptureExecutionContext(CancellationToken, Action)

    public static CancellationTokenRegistration RegisterWithoutCaptureExecutionContext(this CancellationToken cancellationToken, Action callback)

##### Parameters

`cancellationToken` CancellationToken
`callback` System.Action

##### Returns

CancellationTokenRegistration

#### RegisterWithoutCaptureExecutionContext(CancellationToken, Action<Object>, Object)

    public static CancellationTokenRegistration RegisterWithoutCaptureExecutionContext(this CancellationToken cancellationToken, Action<object> callback, object state)

##### Parameters

`cancellationToken` CancellationToken
`callback` System.Action<System.Object>
`state` System.Object

##### Returns

CancellationTokenRegistration

#### ToUniTask(CancellationToken)

    public static (UniTask, CancellationTokenRegistration) ToUniTask(this CancellationToken cancellationToken)

##### Parameters

`cancellationToken` CancellationToken

##### Returns

System.ValueTuple<UniTask, CancellationTokenRegistration>

#### WaitUntilCanceled(CancellationToken)

    public static CancellationTokenAwaitable WaitUntilCanceled(this CancellationToken cancellationToken)

##### Parameters

`cancellationToken` CancellationToken

##### Returns

CancellationTokenAwaitable